﻿// <auto-generated />
using System;
using Ar.Domain.Models;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

namespace Ar.Domain.Migrations
{
    [DbContext(typeof(ArLabContext))]
    partial class ArLabContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "2.2.6-servicing-10079")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("Ar.Domain.Models.Enterprise.AccountingRecord", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("accounting_record_id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("AccountingRecordTypeId")
                        .HasColumnName("accounting_type_id");

                    b.Property<int>("AnalysisId")
                        .HasColumnName("analysis_id");

                    b.Property<int>("DeliverStatusId")
                        .HasColumnName("deliver_status_id");

                    b.Property<int>("OrganizationId")
                        .HasColumnName("organization_id");

                    b.Property<int>("UserId")
                        .HasColumnName("user_id");

                    b.HasKey("Id");

                    b.ToTable("accounting_record");
                });

            modelBuilder.Entity("Ar.Domain.Models.Enterprise.AccountingRecordType", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("accounting_record_type_id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("AccountingRecordTypeDescription")
                        .HasColumnName("accounting_record_type_description");

                    b.HasKey("Id");

                    b.ToTable("accounting_record_type");
                });

            modelBuilder.Entity("Ar.Domain.Models.Enterprise.Quote", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("quote_id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime>("DateExpire");

                    b.Property<DateTime>("DateIssued");

                    b.Property<int>("OrganizationId")
                        .HasColumnName("organization_id");

                    b.Property<decimal>("TotalPrice")
                        .HasColumnName("quote_total_price");

                    b.HasKey("Id");

                    b.ToTable("quote");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            DateExpire = new DateTime(2020, 4, 30, 21, 58, 26, 756, DateTimeKind.Local).AddTicks(2205),
                            DateIssued = new DateTime(2020, 3, 31, 21, 58, 26, 756, DateTimeKind.Local).AddTicks(1098),
                            OrganizationId = 0,
                            TotalPrice = 1000m
                        });
                });

            modelBuilder.Entity("Ar.Domain.Models.Enterprise.QuoteItem", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("quote_item_id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("AnalysisId")
                        .HasColumnName("analysis_id");

                    b.Property<string>("Description")
                        .HasColumnName("quote_item_description");

                    b.Property<decimal>("Price")
                        .HasColumnName("quote_item_price");

                    b.Property<int?>("QuoteId");

                    b.HasKey("Id");

                    b.HasIndex("AnalysisId")
                        .IsUnique();

                    b.HasIndex("QuoteId");

                    b.ToTable("quote_item");
                });

            modelBuilder.Entity("Ar.Domain.Models.Enterprise.Request", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("request_id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime>("DeliverDate")
                        .HasColumnName("request_deliver_date");

                    b.Property<int>("DeliverStatusId")
                        .HasColumnName("deliver_status_id");

                    b.Property<DateTime>("OriginDate")
                        .HasColumnName("request_origin_date");

                    b.Property<int>("UserId")
                        .HasColumnName("user_id");

                    b.HasKey("Id");

                    b.ToTable("request");
                });

            modelBuilder.Entity("Ar.Domain.Models.Enterprise.RequestItem", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("request_item_id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("AnalysisId")
                        .HasColumnName("analysis_id");

                    b.Property<int>("DeliverStatusId")
                        .HasColumnName("deliver_status_id");

                    b.Property<int>("RequestId")
                        .HasColumnName("request_id");

                    b.HasKey("Id");

                    b.HasIndex("RequestId");

                    b.ToTable("request_item");
                });

            modelBuilder.Entity("Ar.Domain.Models.Identity.User", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("user_id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Email")
                        .HasColumnName("user_email");

                    b.Property<string>("FirstName")
                        .HasColumnName("user_first_name");

                    b.Property<bool>("IsBoss")
                        .HasColumnName("user_is_boss");

                    b.Property<string>("LastName")
                        .HasColumnName("user_last_name");

                    b.Property<int>("OrganizationId")
                        .HasColumnName("organization_id");

                    b.Property<string>("Pass")
                        .HasColumnName("user_pass");

                    b.HasKey("Id");

                    b.ToTable("users");
                });

            modelBuilder.Entity("Ar.Domain.Models.Laboratory.AnalysisParameter", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("analysis_parameter_id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("AnalysisParameterDescription")
                        .HasColumnName("analysis_parameter_description");

                    b.HasKey("Id");

                    b.ToTable("analysis_parameter");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            AnalysisParameterDescription = "THC"
                        });
                });

            modelBuilder.Entity("Ar.Domain.Models.Share.Analysis", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("analysis_id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("AnalysisDescription")
                        .HasColumnName("analysis_description");

                    b.Property<int?>("AnalysisTypeId")
                        .HasColumnName("analysis_type_id");

                    b.HasKey("Id");

                    b.ToTable("analysis");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            AnalysisDescription = "Analisis de cannabinoides"
                        },
                        new
                        {
                            Id = 2,
                            AnalysisDescription = "Analisis de terpenos",
                            AnalysisTypeId = 1
                        });
                });

            modelBuilder.Entity("Ar.Domain.Models.Share.AnalysisType", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("analysis_type_id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("AnalysisTypeDescription")
                        .HasColumnName("analysis_type_description");

                    b.HasKey("Id");

                    b.ToTable("analysis_type");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            AnalysisTypeDescription = "Quimica"
                        });
                });

            modelBuilder.Entity("Ar.Domain.Models.Share.AnalysisTypeParameterRelationship", b =>
                {
                    b.Property<int>("AnalysisParameterId");

                    b.Property<int>("AnalysisTypeId");

                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("analysis_type_parameter_relationship_id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.HasKey("AnalysisParameterId", "AnalysisTypeId");

                    b.HasIndex("AnalysisTypeId");

                    b.ToTable("analysis_type_parameter_relationship");

                    b.HasData(
                        new
                        {
                            AnalysisParameterId = 1,
                            AnalysisTypeId = 1,
                            Id = 1
                        });
                });

            modelBuilder.Entity("Ar.Domain.Models.Share.DeliverStatus", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("deliver_status_id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("DeliverStatusDescription")
                        .HasColumnName("deliver_status_description");

                    b.HasKey("Id");

                    b.ToTable("deliver_status");
                });

            modelBuilder.Entity("Ar.Domain.Models.Share.Organization", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("organization_id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("OrganizationName")
                        .HasColumnName("organization_name");

                    b.HasKey("Id");

                    b.ToTable("organization");
                });

            modelBuilder.Entity("Ar.Domain.Models.Enterprise.QuoteItem", b =>
                {
                    b.HasOne("Ar.Domain.Models.Share.Analysis", "Analysis")
                        .WithOne("QuoteItem")
                        .HasForeignKey("Ar.Domain.Models.Enterprise.QuoteItem", "AnalysisId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("Ar.Domain.Models.Enterprise.Quote")
                        .WithMany("QuoteItems")
                        .HasForeignKey("QuoteId");
                });

            modelBuilder.Entity("Ar.Domain.Models.Enterprise.RequestItem", b =>
                {
                    b.HasOne("Ar.Domain.Models.Enterprise.Request")
                        .WithMany("RequestItems")
                        .HasForeignKey("RequestId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("Ar.Domain.Models.Share.AnalysisTypeParameterRelationship", b =>
                {
                    b.HasOne("Ar.Domain.Models.Laboratory.AnalysisParameter", "AnalysisParameter")
                        .WithMany("analysisTypeParameterRelationships")
                        .HasForeignKey("AnalysisParameterId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("Ar.Domain.Models.Share.AnalysisType", "AnalysisType")
                        .WithMany("analysisTypeParameterRelationships")
                        .HasForeignKey("AnalysisTypeId")
                        .OnDelete(DeleteBehavior.Cascade);
                });
#pragma warning restore 612, 618
        }
    }
}
